
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: poppins ;
}

.decorated_heading_1{
    text-transform: uppercase;
    text-align: left;

}
.decorated_heading_1::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
}
.decorated_heading_2{
    text-transform: uppercase;
    text-align: center;
}
.decorated_heading_2::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;

}
.subheading {
    text-transform: uppercase;
}
.paragraph{
    font-size: 14px;
    line-height: 30px;
    text-align: justify;
}
p,span{
    font-size: 14px;
    line-height: 30px;
}
a{
    text-decoration: none;
    color: black;
    }











.filter_section{
    margin-top:50px;
    padding: 0 85px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.filter_section>* {
    padding: 0 15px;
    width: 33.33%;
}
.filter_section .sort{
    display: flex;
    justify-content: space-between;
}



















.courses_section{
    margin-top:50px;
    display: flex;
    padding: 0 85px;
}
.courses_section .coloumn_1{
    width: 100%;
    display: flex;
    justify-content: center;
}
.courses_section .content{
width: 100%;
text-align: center;
}
.courses_section a{
text-decoration: none;
color: black;
cursor: pointer;
}
.courses_section .courses_container{
width: 100%;
display: flex;
flex-wrap: wrap;
}
.courses_container .course{
padding: 0 15px;
margin-top: 50px;
width: 33%;
text-align: left;
}

.course img{
width: 100%;
object-fit: contain;
}
.purchase {
margin-top:10px ;
display: flex;
justify-content: space-between;
align-items: center;
}
.purchase .right {
display: flex;
gap: 15px;
    }
.purchase button {
padding: 8px 16px;
border-radius: 0px;
border: none;
text-transform: uppercase;
color: white;
background: black;
cursor: pointer;
}


























@media only screen and (max-width: 768px) {

    /* all sections common responsiveness*/

    html, body {
        width: 100%;
        max-width: 100%;
        overflow-x: hidden; /* Prevents horizontal scrolling */
        margin: 0;
        padding: 0;
    }
    .first_section {
        margin-top: 150px ;
        }
    .section  {
    flex-wrap: wrap ;
    padding: 0 30px;
    gap: 30px;
    }
    .section .row{
        flex-wrap: wrap ;
        gap: 30px;
    }
    .section .column  {
        width: 100% ;
        justify-content: center;
    }
    .section .content  {
        padding: 0 ;
    }
    .section .flex_container{
        flex-wrap: wrap ;
    }
    .section .flex_item{
        width: 100% ;
        margin-top: 0;
        padding: 30px ;
    }
    .section .decorated_heading_1{
        text-align: center ;
    }
    .section .decorated_heading_1::after{
        margin-left: auto ;
        margin-right: auto ;
    }




    .filter_section{
    padding: 0 30px;
    }


    .purchase button {
        padding: 15px 50px;
     }


     }














     @media only screen and (min-width: 769px) and (max-width: 1024px) {

        /* all sections common responsiveness*/
    
        html, body {
            width: 100%;
            max-width: 100%;
            overflow-x: hidden; /* Prevents horizontal scrolling */
            margin: 0;
            padding: 0;
        }
        .first_section {
            margin-top: 150px ;
            }
        .section  {
        flex-wrap: wrap ;
        padding: 0 60px;
        gap: 30px;
        }
        .section .row{
            flex-wrap: wrap ;
            gap: 30px;
        }
        .section .column  {
            width: 100% ;
            justify-content: center;
        }
        .section .content  {
            padding: 0 ;
        }
        .section .flex_container{
            flex-wrap: wrap ;
        }
        .section .flex_item{
            width: 100% ;
            margin-top: 0;
            padding: 30px ;
        }
        .section .decorated_heading_1{
            text-align: center ;
        }
        .section .decorated_heading_1::after{
            margin-left: auto ;
            margin-right: auto ;
        }
    
    





    
        .filter_section{
        padding: 0 60px;
        }


        .purchase button {
            padding: 12px 50px;
         }
    
    
         }